Subject: Re: recommended default setup for pine?

From: Paul O Bartlett <[email-masked]>
Date: Thu, 6 Feb 1997 08:04:48 -0500

On 6 Feb 1997, Georg Schwarz wrote:

> While I'm not using pine myself I'd like to create a good global setup
> file (/usr/local/bin/pine.conf) for other users, especially new ones.

    What _version_ of Pine are you configuring?  That can make some
difference in the options.

> Currently /usr/local/bin/pine.conf looks like this:
> 
> character-set=ISO-8859-1
> nntp-server=news.zrz.tu-berlin.de
> printer=lpr
> 
> Is there anything I should add? I especially would like that people can
> correctly use ISO-8859-1 in both mail and Usenet news, with pine
> automatically adding the correct headers.

    The printer setting should not have anything to do with ISO-8859-1. 
As you have it there, I would think that Pine will handle Latin-1
messages just fine, provided there are in fact 8-bit characters in any
particular message.  (If there are not, then for that message Pine
"shifts down" and marks the message as US-ASCII.)

    With just this much, Pine will probably try to use Quoted-Printable
for sending 8-bit Latin-1 characters.  However, if your Pine version is
new enough (mine is 3.94), and if your mail transfer agent is capable
of Extended SMTP, you can instruct Pine to try to negotiate for
straight 8-bit transmission rather than use Q-P.  (If it cannot succeed
with the negotion, it will fall back to Q-P.)  In the feature-list, add
these two lines:

enable-8bit-esmtp-negotiation
enable-8bit-nntp-posting

    With respect to newsgroups, be aware that the standard is still
7-bit, and not all newsgroup servers respect MIME headers.  Your users
may send a newsgroup posting with ISO-8859-1 8-bit characters and legal
MIME headers generated by Pine, but it is still possible for the
characters to get garbled by a server which does not respect MIME. 
There is not much you can do about this except try to get the whole
world to come up to the MIME standard.  (MIME, after all, is a standard
for _email_ extensions, not news.)

Paul                             <[email-masked]>
----------------------------------------------------------
Paul O. Bartlett, P.O. Box 857, Vienna, VA 22183-0857, USA
Finger, keyserver, or WWW for PGP 2.6.2 public key 
Home Page:  http://www.access.digex.net/~pobart